import 'package:application/service/api.dart';
import 'package:application/service/map_watch.dart';
import 'package:application/logger.dart';
import 'package:get/get.dart';
import '../home_controller.dart';
export 'package:application/service/map_watch.dart';


class FieldControlController extends GetxController{
  @override
  void onInit() {
    super.onInit();
    final map = MapWatchService.instance;
    if(map != null){
      activeList.bindStream(map.activeList.stream);
    }
  }


  HomeController get _home => Get.find();
  MapWatchService? get mapWatch => MapWatchService.instance;
  final activeList = <ActiveInfo>[].obs;
}